Index: trunk/language/es_ES/admin.lang.php
===================================================================
--- trunk/language/es_ES/admin.lang.php	(revision 20611)
+++ trunk/language/es_ES/admin.lang.php	(revision 20709)
@@ -60,5 +60,5 @@
 $lang['Caddie'] = 'Carrito';
 $lang['Albums authorized thanks to group associations'] = 'Álbumes autorizados gracias a las asociaciones a grupos';
-$lang['Album manual order was saved'] = 'El orden personalizado del álbums se ha guardado guardó con exito';
+$lang['Album manual order was saved'] = 'El orden personalizado de los álbumes se ha guardado con éxito';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Por causas desconocidas no se ha podido comprobar si existe una nueva versión';
 $lang['Check for upgrade'] = 'Comprobar si hay una nueva versión disponible';
@@ -251,5 +251,5 @@
 $lang['There is no available subscribers to mail.'] = 'No hay ususario que notificar por mail.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Los usuarios suscritos sólo se listarán (si la opción está habilitada) siempre que hayan nuevos elementos a notificar.';
-$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Puede que ningún ususario este inscrito (sólo el webmaster tiene acceso a esta pestaña).';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Puede que ningún usuario este inscrito (sólo el webmaster tiene acceso a esta pestaña).';
 $lang['No user to send notifications by mail.'] = 'No hay usuarios a quien enviar notificaciones por email.';
 $lang['New photos added'] = 'Nuevas fotos añadidas';
@@ -444,5 +444,5 @@
 $lang['No display'] = 'Sin visualización';
 $lang['Classic display'] = 'Visualización clásica';
-$lang['Hoverbox display'] = 'Visualizacion en caja emergente';
+$lang['Hoverbox display'] = 'Visualización en caja emergente';
 $lang['Mail address is obligatory for all users'] = 'La dirección de email es obligatoria para todos los usuarios';
 $lang['Minimum privacy level'] = 'Nivel mínimo de privacidad';
@@ -461,5 +461,5 @@
 $lang['Refresh'] = 'Actualizar';
 $lang['The anomaly will be ignored until next application version'] = 'La anomalía será ignorada hasta la próxima versión de la aplicación';
-$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'La anomalía debe ser corregida y no puede ser ignorda.';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'La anomalía debe ser corregida y no puede ser ignorada.';
 $lang['%d anomaly has been ignored.'] = '%d anomalía ha sido ignorada.';
 $lang['%d anomalies have been ignored.'] = '%d anomalías han sido ignoradas.';
@@ -471,5 +471,5 @@
 $lang['Are you sure you want to install this plugin?'] = '¿Esta seguro que quiere instalar este plugin?';
 $lang['Are you sure you want to delete this plugin?'] = '¿Esta seguro que quiere eliminar este plugin?';
-$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Es importente verificar antes de actualizar si esta versión no necesita desinstalación previa. ¿Está seguro que quiere instalar esta actualización?';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Es importante verificar antes de actualizar si ésta versión no necesita desinstalación previa. ¿Está seguro que quiere instalar esta actualización?';
 $lang['Plugin has been successfully copied'] = 'El plugin ha sido copiado con éxito';
 $lang['You might go to plugin list to install and activate it.'] = 'Debe ir a la lista de plugins instalados y habilitarlo.';
@@ -477,5 +477,5 @@
 $lang['Can\'t download archive.'] = 'Imposible recuperar el archivo.';
 $lang['Can\'t read or extract archive.'] = 'Imposible leer o extraer el archivo.';
-$lang['An error occured during extraction (%s).'] = 'Ha habido un error durante la extracción de los archivos (%s).';
+$lang['An error occured during extraction (%s).'] = 'Hubo un error durante la extracción de los archivos (%s).';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Por favor, revise los permisos de la carpeta "plugins", así como sus subcarpetas (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Imposible conectarse al servidor.';
@@ -586,5 +586,5 @@
 $lang['Help Me'] = 'Ayuda';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Imposible activar el tema, falta el archivo %s';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Este tema no puede ser eliminado porque hay otros tema dependen de él: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Este tema no puede ser eliminado porque hay otros temas que dependen de él: %s';
 $lang['Inactive Themes'] = 'Temas desactivados';
 $lang['Install on your computer,'] = 'Instalar en tu ordenador,';
@@ -623,5 +623,5 @@
 $lang['Missing Plugins'] = 'Plugins que faltan';
 $lang['Uninstalled Plugins'] = 'Plugins no instalados';
-$lang['By %s'] = 'Desarollado por %s';
+$lang['By %s'] = 'Desarrollado por %s';
 $lang['Visit plugin site'] = 'Visitar el sitio web del plugin';
 $lang['Active Languages'] = 'Idiomas activados';
@@ -649,5 +649,5 @@
 $lang['Menu Management'] = 'Administrar menús';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'En el archivo php.ini, la variable upload_max_filesize (%sB) es mayor que post_max_size (%sB). Debe cambiar esta configuración';
-$lang['Exif extension not available, admin should disable exif use'] = 'La extension Exif no esta disponible. Un administrador debería deshabilitar el uso de metadatos Exif';
+$lang['Exif extension not available, admin should disable exif use'] = 'La extensión Exif no esta disponible. Un administrador debería deshabilitar el uso de metadatos Exif';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'El peso del archivo subido excede el valor de upload_max_filesize en el archivo php.ini: sB%';
 $lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'El peso total de los archivos transferidos excede el valor de post_max_size en su archivo php.ini: sB%';
@@ -691,5 +691,5 @@
 $lang['remove creation date'] = 'eliminar la fecha de creación';
 $lang['Album photos associated to the following albums: %s'] = 'Las fotos del álbum han sido asociadas con los álbumes siguientes: %s';
-$lang['Delete orphan tags'] = 'Eliminar etiquetas huerfanas ';
+$lang['Delete orphan tags'] = 'Eliminar etiquetas huérfanas ';
 $lang['delete photo'] = 'Eliminar la foto';
 $lang['Orphan tags deleted'] = 'Etiquetas huérfanas eliminadas';
@@ -749,5 +749,5 @@
 $lang['Save Template Directory'] = 'Guardar directorio de plantillas';
 $lang['Dump Database'] = 'Volcar la base de datos';
-$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Incluir los datos de la historia (Advertencia: el límite de memoria del servidor puede ser superado)';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Incluir los datos del historial (Advertencia: el límite de memoria del servidor puede ser superado)';
 $lang['Unable to dump database.'] = 'No es posible vaciar la base de datos.';
 $lang['Some upgrades are available for extensions.'] = 'Hay actualizaciones disponibles para algunas extensiones.';
@@ -782,8 +782,8 @@
 $lang['Select at least two tags for merging'] = 'Seleccionar al menos dos etiquetas para la fusión';
 $lang['Select an album'] = 'Seleccionar un álbum';
-$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Por defecto, Piwigo creara un nuevo tamaño del web procedente de las fotos en modo alta resolución';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Por defecto, Piwigo creara un nuevo tamaño para la web, procedente de las fotos en alta resolución';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Si no está disponible en alta definición (HD) y el tamaño actual es mayor que las dimensiones del cambio de medida, se considerará \'alta definición\' pese a que finalmente deberá reducirse el tamaño de la foto.';
-$lang['An error has occured during upgrade.'] = 'Ha habido un error durante el proceso de actualización.';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Imposible extraer los archivos. Por favor, verifique los permisos de los archivoss de su instalación. <Br> <a href="%s"> Haga clic aquí para ver el informe de errores</a>.';
+$lang['An error has occured during upgrade.'] = 'Hubo un error durante el proceso de actualización.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Imposible extraer los archivos. Por favor, verifique los permisos de los archivos de su instalación. <Br> <a href="%s"> Haga clic aquí para ver el informe de errores</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo no puede recuperar el archivo de actualización desde el servidor';
 $lang['Zoom'] = 'Ampliar';
@@ -807,5 +807,5 @@
 $lang['The original maximum height must be a number between %d and %d'] = 'La altura máxima de la foto original ha de ser un número entre %d y %d';
 $lang['The original maximum width must be a number between %d and %d'] = 'La anchura máxima de la foto original ha de ser un número entre %d y %d';
-$lang['A locked gallery is only visible to administrators'] = 'Una galería bloqueada solo es visible para los administradores';
+$lang['A locked gallery is only visible to administrators'] = 'Una galería bloqueada solo es visible por los administradores';
 $lang['administrators'] = 'administradores';
 $lang['Gallery unlocked'] = 'Galería desbloqueada';
@@ -826,5 +826,5 @@
 $lang['Cancel'] = 'Cancelar';
 $lang['Center of interest'] = 'Centro de interés';
-$lang['Edit album permissions'] = 'Editar permisos de los álbums';
+$lang['Edit album permissions'] = 'Editar permisos de un álbum';
 $lang['Edit album'] = 'Editar álbum';
 $lang['Edit photo information'] = 'Editar información de la foto';
@@ -838,6 +838,6 @@
 $lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Las aplicaciones de <em>Piwigo para iOS</em> te permiten conectar tu galería Piwigo a tu iPhone, iPad o iPod Touch y poder crear álbumes y subir fotos desde estos dispositivos.';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Lightroom es un software fotográfico diseñado para administrar grandes cantidades de imágenes y realizar el procesado de las mismas.';
-$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture es una potente herramienta para editar imagenes y administrar grandes colecciones en Mac.';
-$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture está diseñado para fotógrafos profesionales con la simplicidad de iPhoto.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture es una potente herramienta para editar imágenes y administrar grandes colecciones en Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture está diseñada para fotógrafos profesionales con la simplicidad de iPhoto.';
 $lang['Available on'] = 'Disponible el';
 $lang['Available versions for'] = 'Versión disponible para';