Index: /extensions/lmt/language/pl_PL/description.txt
===================================================================
--- /extensions/lmt/language/pl_PL/description.txt	(revision 20729)
+++ /extensions/lmt/language/pl_PL/description.txt	(revision 20729)
@@ -0,0 +1,1 @@
+Dołącz licencje do zdjęć
Index: /extensions/lmt/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/lmt/language/pl_PL/plugin.lang.php	(revision 20729)
+++ /extensions/lmt/language/pl_PL/plugin.lang.php	(revision 20729)
@@ -0,0 +1,91 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['lmt_help_config_9'] = 'Ta opcja pozwala wybrać ilość pozycji wyświetlanych na każdej stronie.';
+$lang['lmt_icon_80x15'] = 'Ikona 80x15';
+$lang['lmt_icon_88x31'] = 'Ikona 88x31';
+$lang['lmt_icon_text'] = 'Tekst';
+$lang['lmt_image'] = 'Obraz';
+$lang['lmt_general_config'] = 'Opcje ogólne';
+$lang['lmt_help'] = 'Pomoc';
+$lang['lmt_cfg_warning_texts'] = 'Tekst w stopce';
+$lang['lmt_choose_licence_type'] = 'Wybierz typ licencji';
+$lang['lmt_config'] = 'Ustawienia';
+$lang['lmt_delete'] = 'Usuń';
+$lang['lmt_display_config'] = 'Opcje wyświetlania';
+$lang['lmt_do_save'] = 'Zapisz ustawienia';
+$lang['lmt_error_num_items'] = 'Co najmniej jedna licencja musi zostać wybrana';
+$lang['lmt_lbl_under-by'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-by-nc'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-by-nd'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-by-sa'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-cc0'] = 'Opublikowano w ramach licencji';
+$lang['lmt_lbl_under-cleft'] = 'Opublikowano w ramach licencji';
+$lang['lmt_licence'] = 'Licencja';
+$lang['lmt_licence_type'] = 'Typ licencji';
+$lang['lmt_lst_apply_filter'] = 'Filtr';
+$lang['lmt_manageaut'] = 'Zarządzaj autorami';
+$lang['lmt_modify'] = 'Edycja';
+$lang['lmt_name'] = 'Nazwa';
+$lang['lmt_nav_first'] = 'Pierwszy';
+$lang['lmt_nav_last'] = 'Ostatni';
+$lang['lmt_nav_next'] = 'Następny';
+$lang['lmt_nav_prev'] = 'Poprzedni';
+$lang['lmt_no_author'] = '&lt;Brak autora&gt;';
+$lang['lmt_nofilter'] = 'Wszystkie licencje';
+$lang['lmt_ok'] = 'Ok';
+$lang['lmt_redirect_config'] = 'Przekierowania';
+$lang['lmt_save_config'] = 'Konfiguracja zapisana';
+$lang['lmt_search'] = 'Szukaj';
+$lang['lmt_way_nc'] = 'Bez użytku komercyjnego';
+$lang['lmt_six_licences'] = '6 licencji';
+$lang['lmt_whatisit'] = 'Co to jest <i>Creative Commons?</i>';
+$lang['lmt_yesno_n'] = 'Nie';
+$lang['lmt_yesno_y'] = 'Tak';
+$lang['lmt_cannot_modify_author'] = 'Autor nie może być zmieniony';
+$lang['lmt_category'] = 'Kategoria';
+$lang['lmt_cc-all'] = 'Wszystkie licencje';
+$lang['lmt_author_title'] = 'Lista autorów';
+$lang['lmt_author_txt1'] = 'Tekst 1';
+$lang['lmt_author_txt2'] = 'Tekst 2';
+$lang['lmt_authoradd_title'] = 'Dodaj autora';
+$lang['lmt_authormodify_title'] = 'Edytuj autora';
+$lang['lmt_bydefault'] = 'Zastosuj domyślną licencję';
+$lang['lmt_cancel'] = 'Anuluj';
+$lang['lmt_cannot_add_author'] = 'Autor nie może być dodany';
+$lang['lmt_cannot_delete_author'] = 'Autor nie może być usunięty';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Do instalacji tej wtyczki wymagana jest wtyczka Grum Plugin Classes %s';
+$lang['example'] = 'Wyświetl próbkę';
+$lang['lmt_action'] = 'Akcje';
+$lang['lmt_add'] = 'Dodaj';
+$lang['lmt_add_author'] = 'Dodaj autora';
+$lang['lmt_add_licence_type'] = 'Dodaj typ licencji';
+$lang['lmt_apply'] = 'Zastosuj';
+$lang['lmt_author'] = 'Autor';
+$lang['lmt_author_added'] = 'Autor został dodany';
+$lang['lmt_author_deleted'] = 'Autor został usunięty';
+$lang['lmt_author_modified'] = 'Autor został zmodyfikowany';
+$lang['lmt_author_nb_images_updated'] = 'obrazy przydzielone do tego autora zostały zaktualizowane';
+$lang['lmt_author_one_image_updated'] = 'Obraz przydzielony do tego autora został zaktualizowany';
+?>