Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 20747)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 20748)
@@ -103,6 +103,6 @@
 $lang['Manage tags'] = 'مدیریت برچسب‌ها';
 $lang['Members'] = 'کاربران';
-$lang['Metadata synchronized from file'] = 'همگام‌ سازی ابرداده (Metadata) از فایل';
-$lang['Move albums'] = 'جابجا کردن آلبوم ها';
+$lang['Metadata synchronized from file'] = 'همگام‌ سازی ابر داده (Metadata) از فایل';
+$lang['Move albums'] = 'جابجا کردن آلبوم‌ها';
 $lang['Move'] = 'جابجا کردن';
 $lang['Name'] = "نام";
@@ -110,24 +110,24 @@
 $lang['New parent album'] = 'آلبوم مادر تازه';
 $lang['New tag'] = 'برچسب تاره';
-$lang['Number of comments per page'] = 'تعداد دیدگاه ها در هر صفحه';
-$lang['Number of rates'] = 'تعداد امتیاز ها';
-$lang['Number of thumbnails to create'] = 'تعداد عکس ریزه برای ایجاد کردن';
-$lang['Only private albums are listed'] = 'فقط آلبوم های شخصی را نمایش بده';
+$lang['Number of comments per page'] = 'شمار دیدگاه‌ها در هر برگه';
+$lang['Number of rates'] = 'امتیاز‌ها';
+$lang['Number of thumbnails to create'] = 'شمار عکس ریزه‌ها برای ساختن';
+$lang['Only private albums are listed'] = 'تنها آلبوم‌های شخصی را نشان بده';
 $lang['Operating system'] = 'سیستم عامل';
 $lang['Options'] = 'گزینه ها';
-$lang['Other private albums'] = 'آلبوم های شخصی دیگر';
-$lang['Page banner'] = "بنر صفحه";
+$lang['Other private albums'] = 'دیگر آلبوم‌های شخصی';
+$lang['Page banner'] = 'بنر برگه';
 $lang['Parent album'] = 'آلبوم مادر';
 $lang['Path'] = 'مسیر';
 $lang['Permalink'] = 'لینک ثابت';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'لینک ثابت %s پیش از این برای آلبوم %s تعیین شده بود. ابتدا این لینک ثابت را از تاریخچه پاک کنید';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'لینک ثابت %s پیش از این در آلبوم %s استفاده شده بود. نخست این لینک ثابت را از تاریخچه پاک کنید';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'نام لینک ثابت باید فقط ترکیبی از a-z، A-Z، 0-9، "-"، "_" یا "/" باشد. همچنین نباید فقط دارای عدد باشد یا با عدد و "-" آغاز شود';
-$lang['Permalink %s is already used by album %s'] = 'لینک ثابت  %s در حال استفاده برای آلبوم %s می باشد.';
-$lang['Permalink history'] = 'تاریخچه ی لینک ثابت ';
-$lang['Permalinks'] = 'لینک های ثابت ';
+$lang['Permalink %s is already used by album %s'] = 'لینک ثابت  %s هم اکنون در آلبوم %s استفاده می‌شود.';
+$lang['Permalink history'] = 'تاریخچه‌ی لینک‌های ثابت ';
+$lang['Permalinks'] = 'لینک‌های ثابت ';
 $lang['Permission denied'] = 'مجوز دسترسی ندارید';
 $lang['Permission granted thanks to a group'] = 'دسترسی داده شد';
 $lang['Permission granted'] = 'دسترسی داده شد';
-$lang['Photo informations updated'] = 'اطلاعات عکس بروز رسانی شد';
+$lang['Photo informations updated'] = 'اطلاعات عکس به روز رسانی شد';
 $lang['Plugins'] = 'افزونه ها';
 $lang['Position'] = "موقعیت";
@@ -231,5 +231,5 @@
 $lang['Go to'] = "برو به";
 $lang['Hello'] = 'درود';
-$lang['New photos were added'] = 'عکس های تازه افروده شده اند';
+$lang['New photos were added'] = 'عکس‌های تازه افروده شده‌اند';
 $lang['on'] = 'در';
 $lang['between'] = "بین";
@@ -252,10 +252,10 @@
 $lang['%d mail was not sent.'] = '%d ایمیل فرستاده نشد.';
 $lang['%d mails were not sent.'] = '%d ایمیل فرستاده نشدند.';
-$lang['No mail to send.'] = 'هیچ ایمیلی برای فرستادن نیست';
+$lang['No mail to send.'] = 'هیچ ایمیلی فرستاده نمی‌شود.';
 $lang['There is no available subscribers to mail.'] = 'هیچ مشترکی برای اشتراک با ایمیل موجود نیست.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'مشترک شده ها تنها زمانی می توانند لیست بشوند (در دسترس قرار گیرند) که چیزهای تازه ای برای اعلام کردن وجود داشته باشد.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = 'در هر صورت تنها مدیر کل می‌تواند این برگه را ببیند، نه مدیران.';
 $lang['No user to send notifications by mail.'] = 'کاربری برای خبرنامه با ایمیل وجود ندارد.';
-$lang['New photos added'] = 'عکس های تازه افروده شدند';
+$lang['New photos added'] = 'عکس‌های تازه افروده شدند';
 $lang['Subscribe to notification by mail'] = 'اشتراک بوسیله ی ایمیل';
 $lang['Unsubscribe from notification by mail'] = 'لغو اشتراک بوسیله ی ایمیل';
@@ -271,5 +271,5 @@
 $lang['Subscribed'] = 'مشترک شده';
 $lang['Subscribe'] = "اشتراک";
-$lang['Parameters'] = 'پارامتر ها';
+$lang['Parameters'] = 'پارامترها';
 $lang['Select recipients'] = 'انتخاب گیرنده ها';
 $lang['Subscribe/unsubscribe users'] = "مشترک/لغو اشتراک کاربران";
@@ -291,5 +291,5 @@
 $lang['Available only with HTML format'] = 'فقط با فرمت HTML موجود است';
 $lang['no write access'] = "دسترسی نوشتن را ندارید";
-$lang['Permissions'] = 'مجوز ها';
+$lang['Permissions'] = 'مجوز‌ها';
 $lang['private'] = "شخصی";
 $lang['public'] = 'همگانی';
@@ -365,5 +365,5 @@
 $lang['added'] = "افزوده شد";
 $lang['deleted'] = "حذف شد";
-$lang['Metadata synchronization results'] = 'نتایج همگام‌ سازی ابرداده (Metadata)';
+$lang['Metadata synchronization results'] = 'نتایج همگام‌ سازی ابر داده (Metadata)';
 $lang['only perform a simulation (no change in database will be made)'] = 'فقط انجام یک شبیه‌ سازی (هیچ چیز در پایگاه داده تغییر نمی‌ کند)';
 $lang['Simulation'] = 'شبیه سازی';
@@ -393,5 +393,5 @@
 $lang['Month'] = "ماه";
 $lang['Day'] = "روز";
-$lang['Pages seen'] = "صفحات دیده شده";
+$lang['Pages seen'] = 'برگه‌های دیده شده';
 $lang['Time'] = 'زمان';
 $lang['IP'] = "IP";
@@ -453,5 +453,5 @@
 $lang['Hoverbox display'] = 'نمایش جعبه‌ی شناور';
 $lang['Mail address is obligatory for all users'] = 'آدرس ایمیل برای تمام کاربران الزامی است';
-$lang['Minimum privacy level'] = 'پایین ترین سطح ‌خصوصی';
+$lang['Minimum privacy level'] = 'پایین‌ترین سطح ‌خصوصی';
 $lang['Privacy level'] = "سطح خصوصی";
 $lang['Level 0'] = "---";
@@ -474,5 +474,5 @@
 $lang['Plugin list'] = 'فهرست افزونه ها';
 $lang['Check for updates'] = 'بررسی برای به روز رسانی';
-$lang['Other plugins'] = 'افزونه های موجود دیگر ';
+$lang['Other plugins'] = 'دیگر افزونه‌های موجود';
 $lang['Last revisions'] = 'آخرین بازبینى';
 $lang['Are you sure you want to delete this plugin?'] = 'آیا می‌خواهید این افزونه را پاک کنید؟';
@@ -509,9 +509,9 @@
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'جایگزین کردن قالب های اصلی با قالب های سفارشی شده ، به کمک پوشه ی گشترش دهندگان قالب';
 $lang['Replacers (customized templates)'] = 'جایگزینی (قالب های سفارشی شده)';
-$lang['Original templates'] = 'قالب های اصلی';
-$lang['Optional URL keyword'] = "کلیدواژه URL اختیاری";
+$lang['Original templates'] = 'قالب‌های اصلی';
+$lang['Optional URL keyword'] = 'کلیدواژه‌ی URL اختیاری';
 $lang['Templates configuration has been recorded.'] = 'تنظیمات قالب ثبت شد.';
 $lang['All optimizations have been successfully completed.'] = 'همه‌ی بهینه‌سازی‌ها با موفقیت پایان یافتند.';
-$lang['Optimizations have been completed with some errors.'] = 'بهینه سازی با وجود چند خطا تمام شد.';
+$lang['Optimizations have been completed with some errors.'] = 'بهینه سازی با وجود چند خطا به پایان رسید.';
 $lang['Modify information'] = "ویرایش اطلاعات";
 $lang['nothing'] = 'هیچ چیز';
@@ -526,5 +526,5 @@
 $lang['Drag to re-order'] = 'برای چیدن دوباره با موس بکشید';
 $lang['Quick Local Synchronization'] = 'همگام سازی سریع محلی';
-$lang['No photo can be deleted'] = 'هیچ عکسی را نمی توان پاک کرد';
+$lang['No photo can be deleted'] = 'هیچ عکسی را نمی‌توان پاک کرد';
 $lang['Delete selected photos'] = 'پاک کردن عکس‌های انتخاب شده';
 $lang['%d photo was deleted'] = '%d عکس پاک شد';
@@ -532,5 +532,5 @@
 $lang['Downloads'] = 'دانلودها';
 $lang['Released on'] = 'منتشر شده در';
-$lang['Number of downloads'] = "دفعات دانلود";
+$lang['Number of downloads'] = 'دانلودها';
 $lang['Piwigo Announcements Newsletter'] = 'اعلان خبرنامه ی Piwigo';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'با پروژه‌ی Piwigo در تماس باشید و در خبرنامه‌ی آگهی‌های Piwigo مشترک شوید. زمانی که نگارش‌های تازه آماده شود به شما ایمیل فرستاده می‌شود (برخی مواقع شامل روش حل یک مشکل امنیتی نیز می‌شود که دانستن و رفع آن مهم است) و یا زمانی که رویدادهای بزرگی برای پروژه رخ می‌دهد. تنها تعداد کمی ایمیل در سال فرستاده خواهد شد.';
@@ -539,6 +539,6 @@
 $lang['Purge search history'] = 'پاکسازی تاریخچه ی جستجو';
 $lang['Hide'] = 'پنهان کردن';
-$lang['Password is missing. Please enter the password.'] = 'گذرواژه وارد نشده است. لطفا گذرواژه تازه را وارد نمایید.';
-$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'تایید گذرواژه با گذرواژه ی اصلی همخوانی ندارد. لطفا گذرواژه ی اصلی که وارد نموده اید را در تایید گذرواژه وارد نمایید.';
+$lang['Password is missing. Please enter the password.'] = 'گذرواژه ای نوشته نشده است. خواهشمندیم گذرواژه‌ای بنویسید.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'پذیرش گذرواژه با گذرواژه‌ی اصلی همخوانی ندارد. خواهشمندیم گذرواژه‌ی اصلی را در بخش پذیرش گذرواژه نیز بنویسید.';
 $lang['Allow users to edit their own comments'] = 'کاربران بتوانند دیدگاه‌های خود را ویرایش کنند';
 $lang['Allow users to delete their own comments'] = 'کاربران بتوانند دیدگاه‌های خود را پاک کنند';
@@ -598,5 +598,5 @@
 $lang['Install on your computer,'] = 'نصب بر روی کامپیوتر خود،';
 $lang['Make this theme available to users'] = 'در دسترس قرار دادن این زمینه برای کاربران';
-$lang['Page end'] = 'پایان صفحه';
+$lang['Page end'] = 'پایان برگه';
 $lang['Piwigo Uploader'] = 'آپلودر Piwigo';
 $lang['Please wait...'] = 'شکیبا باشید ...';
@@ -610,9 +610,9 @@
 $lang['Guest Settings'] = 'تنظیمات مهمان';
 $lang['Main Page'] = 'صفحه اصلی';
-$lang['Photo Page'] = 'صفحه ی عکس';
+$lang['Photo Page'] = 'برگه‌ی عکس';
 $lang['Activate Navigation Bar'] = 'فعال کردن نوار هدایتگر';
 $lang['Activate Navigation Thumbnails'] = 'فعال کردن هدایتگر عکس ریزه‌ها';
 $lang['Activate icon "%s"'] = 'فعال کردن آیکن "%s"';
-$lang['Photo Properties'] = 'ویژگی های عکس';
+$lang['Photo Properties'] = 'ویژگی‌های عکس';
 $lang['Allow user customization'] = 'فعال بودن سفارشی کردن برای کاربر';
 $lang['Languages'] = 'زبان‌ها';
@@ -630,5 +630,5 @@
 $lang['Active Plugins'] = 'فعال کردن افزونه‌ها';
 $lang['Inactive Plugins'] = 'افزونه‌های از کار انداخته شده';
-$lang['Missing Plugins'] = 'افزونه های گم شده';
+$lang['Missing Plugins'] = 'افزونه‌های گم شده';
 $lang['Uninstalled Plugins'] = 'افزونه های پاک شده';
 $lang['By %s'] = 'بوسیله‌ی %s';
@@ -650,7 +650,7 @@
 $lang['There is no other theme available.'] = 'هیچ قالب دیگری موجود نیست.';
 $lang['Add another set of photos'] = 'افزودن یک ستِ عکس تازه';
-$lang['Order of menubar items has been updated successfully.'] = 'ترتیب آیتم های منو با موفقیت بروز شد.';
+$lang['Order of menubar items has been updated successfully.'] = 'چیدمان آیتم‌های منو با موفقیت به روز شد.';
 $lang['This theme was not designed to be directly activated'] = 'این قالب برای فعال کردن مستقیم طراحی نشده است';
-$lang['Pending Comments'] = 'دیدگاه های در انتظار پذیرفته شدن';
+$lang['Pending Comments'] = 'دیدگاه‌های در انتظار پذیرفته شدن';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'در فایل php.ini شما،  مقدار upload_max_filesize (%sB) از post_max_size (%sB) بیشتر است، شما باید این تنظیمات را تغییر دهید.';
 $lang['Exif extension not available, admin should disable exif use'] = 'گسترش دهنده‌ی exif در دسترس نیست، مدیر کل باید exif را از کار بیندازد';
@@ -660,10 +660,10 @@
 $lang['The uploaded file was only partially uploaded'] = 'فقط اندکی از فایل آپلود شد';
 $lang['No file was uploaded'] = 'هیچ فایلی آپلود نشد';
-$lang['Missing a temporary folder'] = 'یک مسیر موقت (Temporary) گم شده است';
+$lang['Missing a temporary folder'] = 'یک مسیر موقت گم شده است';
 $lang['Failed to write file to disk'] = 'نمی‌توان روی دیسک فایلی نوشت';
 $lang['File upload stopped by extension'] = 'آپلود فایل بوسیله‌ی یک گسترش دهنده متوقف شد.';
 $lang['Unknown upload error'] = 'خطای نا معلوم در آپلود';
 $lang['Error on file "%s" : %s'] = 'خطا در فایل "%s": %s';
-$lang['Menu Management'] = 'منو ها';
+$lang['Menu Management'] = 'منوها';
 $lang['automatic order'] = 'مرتب کردن به صورت خودکار';
 $lang['manual order'] = 'مرتب کردن دستی';
@@ -679,5 +679,5 @@
 $lang['on the %d selected photos'] = 'بر روی %d تعداد عکس انتخاب شده';
 $lang['%d of %d photos selected'] = '%d عکس از %d عکس انتخاب شد';
-$lang['No photo selected, %d photos in current set'] = 'هیچ عکسی انتخاب نشده است، تعداد %d عکس در این سِت وجود دارد.';
+$lang['No photo selected, %d photos in current set'] = 'هیچ عکسی انتخاب نشده است، %d عکس در این سِت وجود دارد.';
 $lang['All %d photos are selected'] = 'همه‌ی %d عکس انتخاب شد';
 $lang['remove this filter'] = 'پاک کردن این فیلتر';
@@ -699,5 +699,5 @@
 $lang['Delete orphan tags'] = 'پاک کردن برچسب‌های بی‌ریشه';
 $lang['delete photo'] = 'پاک کردن عکس';
-$lang['Orphan tags deleted'] = 'برچسب های بی ریشه پاک شدند';
+$lang['Orphan tags deleted'] = 'برچسب‌های بی‌ریشه پاک شدند';
 $lang['Remove from caddie'] = 'پاک کردن از سبد';
 $lang['Week starts on'] = 'روز آغازین هفته';
@@ -712,8 +712,8 @@
 $lang['New Version'] = 'نگارش تازه';
 $lang['new'] = 'تازه';
-$lang['No results'] = 'نتیجه ای پیدا نشد';
+$lang['No results'] = 'نتیجه‌ای پیدا نشد';
 $lang['Searching...'] = 'در حال جستجو ...';
 $lang['Type in a search term'] = 'عبارت مورد جستجو را اینجا تایپ نمایید';
-$lang['Obsolete Plugins'] = 'افزونه های از کار افتاده';
+$lang['Obsolete Plugins'] = 'افزونه‌های از کار افتاده';
 $lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = '<b>هشدار!</b> این افزونه به نظر نمی رسد با این نگارش از Piwigo سازگار باشد.';
 $lang['Do you want to activate anyway?'] = 'در هر صورت می‌خواهید فعال کنید؟';
@@ -738,6 +738,6 @@
 $lang['Ignore this update'] = 'چشم پوشی از این به روز رسانی ';
 $lang['Manage Permissions'] = 'مدیریت مجوزها';
-$lang['Merge selected tags'] = 'ادغام برچسب های انتخاب شده';
-$lang['Merge tags'] = 'ادغام برچسب ها';
+$lang['Merge selected tags'] = 'ترکیب برچسب‌های انتخاب شده';
+$lang['Merge tags'] = 'ترکیب برچسب‌ها';
 $lang['Photo name'] = 'نام عکس';
 $lang['Piwigo Update'] = 'بروز رسانی Piwigo';
@@ -788,9 +788,9 @@
 $lang['List'] = 'فهرست';
 $lang['Maximum file size: %sB.'] = 'بیشترین حجم فایل: %sB.';
-$lang['Move to album'] = 'انتقال به آلبوم';
+$lang['Move to album'] = 'جابجایی به آلبوم';
 $lang['No destination tag selected'] = 'هیچ برچسب مقصدی انتخاب نشده است';
 $lang['Notify administrators when a comment is'] = 'مدیران را با خبر کن وقتی یک دیدگاه';
 $lang['Opacity'] = 'وضوح';
-$lang['Original Size'] = 'اندازه ی اصلی';
+$lang['Original Size'] = 'اندازه‌ی اصلی';
 $lang['Photo %s of %s'] = 'عکس %s از %s';
 $lang['Photos generation in progress...'] = 'عکس ها در حال تولید می باشند...';
@@ -864,7 +864,7 @@
 $lang['Edit photo'] = 'ویرایش عکس';
 $lang['Multiple Size'] = 'چند سایزه';
-$lang['Not cropped correctly?'] = 'دوباره برش می دهید؟';
-$lang['Numeric identifier : %d'] = 'شناسه ی عددی : %d';
-$lang['Permission management'] = 'مدیریت دسترسی ها';
+$lang['Not cropped correctly?'] = 'درست بریده نشد؟';
+$lang['Numeric identifier : %d'] = 'شناسه‌ی عددی: %d';
+$lang['Permission management'] = 'مدیریت دسترسی‌ها';
 $lang['Piwigo for Android'] = 'دریافت Piwigo برای Android';
 $lang['Rated %d times, score : %.2f'] = 'به تعداد %d بار رأی داده شده، امتیاز : %.2f';
@@ -889,5 +889,5 @@
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom یک نرم‌افزار عکاسی می‌باشد که برای مدیریت عکس‌های دیجیتالی بزرگ طراحی شده است.';
 $lang['Center of interest'] = 'نقطه‌ی طلایی (Center of Interest)';
-$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'نرم افزار Shotwell را بر روی لینوکس خود نصب کرده و افزونه ی انتشار Piwigo را فعال کنید.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'نرم افزار Shotwell را بر روی لینوکس خود نصب کرده و افزونه‌ی انتشار Piwigo را فعال کنید.';
 $lang['Piwigo Publish plugin for Lightroom'] = 'افزونه ی انتشار Piwigo برای Photoshop Lightroom';
 $lang['Piwigo export plugin for Aperture'] = 'افزونه ی فرستنده ی Piwigo برای Aperture';
@@ -906,7 +906,7 @@
 $lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'برای عکس‌هایی که بریده شده‌اند، برای نمونه "مربعی"، Piwigo به بهترین حالت ممکن نقطه‌ی طلایی عکس را شناسایی می‌کند.';
 $lang['Generate multiple size images'] = 'درست کردن عکس‌های چند سایزه';
-$lang['No group is permitted to see this private album'] = 'هیچ گروهی اجازه ی دیدن این آلبوم خصوصی را ندارد';
-$lang['Permission granted for groups'] = 'اجازه ی دسترسی به گروه ها داده شد';
-$lang['Permission granted for users'] = 'اجازه ی دسترسی به کاربران داده شد';
+$lang['No group is permitted to see this private album'] = 'هیچ گروهی اجازه‌ی دیدن این آلبوم خصوصی را ندارد';
+$lang['Permission granted for groups'] = 'اجازه‌ی دسترسی به گروه‌ها داده شد';
+$lang['Permission granted for users'] = 'اجازه‌ی دسترسی به کاربران داده شد';
 $lang['Photo sizes with crop'] = 'سایز عکس برش داده شده';
 $lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (سیستم مدیریت گالری از راه دور برای Android) یک سیستم متن باز (Open Source) برای Piwigo می باشد (GPL v3) که بر روی Android قابل اجراست.';
@@ -924,5 +924,5 @@
 $lang['%d physicals'] = ' %d فیزیکی';
 $lang['create a new site'] = 'ایجاد یک سایت تازه';
-$lang['No order field selected'] = 'هیچ فیلدی برای ترتیب بندی انتخاب نشده است';
+$lang['No order field selected'] = 'هیچ فیلدی برای چیدمان انتخاب نشده است';
 $lang['Duplicate selected tags'] = 'دوتایی کردن برچسب‌های انتخاب شده';
 $lang['Name of the duplicate'] = 'نام پس از دوتایی شدن';
@@ -933,7 +933,7 @@
 $lang['Landscape'] = 'چشم انداز';
 $lang['Manage photos'] = 'مدیریت عکس‌ها';
-$lang['Minimum height'] = 'حداقل ارتفاع';
-$lang['Minimum width'] = 'حداقل عرض';
-$lang['Number of albums per page'] = 'تعداد آلبوم ها در هر صفحه';
+$lang['Minimum height'] = 'کمترین بلندا';
+$lang['Minimum width'] = 'کمترین پهنا';
+$lang['Number of albums per page'] = 'شمار آلبوم‌ها در هر برگه';
 $lang['Panorama'] = 'پانوراما';
 $lang['Portrait'] = 'پرتره';