Index: /extensions/LLGBO2/language/pt_BR/description.txt
===================================================================
--- /extensions/LLGBO2/language/pt_BR/description.txt	(revision 20761)
+++ /extensions/LLGBO2/language/pt_BR/description.txt	(revision 20761)
@@ -0,0 +1,5 @@
+LLGBO2
+Mostrar miniatura e Exif sob botão. (no mouseover)
+-Mostrar borda em torno da imagem.
+-Adicione navegação na imagem.
+-Mostrar banner apenas na primeira página e nas páginas adicionais.
Index: /extensions/LLGBO2/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pt_BR/plugin.lang.php	(revision 20761)
+++ /extensions/LLGBO2/language/pt_BR/plugin.lang.php	(revision 20761)
@@ -0,0 +1,103 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['llgbo_samples'] = 'Exemplos:';
+$lang['llgbo_title_frame'] = 'Mostrar título da imagem na moldura';
+$lang['llgbo_title_frame_color'] = 'Cor para o título exibido na moldura';
+$lang['llgbo_tooltip'] = 'Dicas de ferramentas especiais (miniaturas de fotos) no mouseover:';
+$lang['llgbo_tooltip_backgroundcolor'] = 'Dica cor de fundo';
+$lang['llgbo_tooltip_bordercolor'] = 'Dica cor da borda';
+$lang['llgbo_tooltip_color'] = 'Dica cor do texto';
+$lang['llgbo_tooltip_titlecolor'] = 'Dica cor do título';
+$lang['llgbo_usemap'] = 'Adicionar a barra de navegação na imagem:';
+$lang['llgbo_usemap_thumb'] = 'Exibir miniaturas quando a navegação está ativa na imagem:';
+$lang['llgo_frame_setting'] = 'Definições da moldura:';
+$lang['llgo_global_setting'] = 'Página de fotos Piwigo configurações globais';
+$lang['llgo_tooltip_setting'] = 'Dica do título';
+$lang['llgo_tooltip_size'] = 'Dica largura da borda';
+$lang['llgo_tooltip_width'] = 'Dica da largura';
+$lang['llgo_warning_setting'] = 'para usar com temas Gally, o plugin deve ser cl_conflit largura installedTooltip';
+$lang['preview'] = 'Visualização';
+$lang['previewsamples'] = 'Mostrar este exemplo';
+$lang['save'] = 'Salvar';
+$lang['submit'] = 'Submeter';
+$lang['llgbo_header_category_filter_recent'] = 'Exibir o cabeçalho na página Categoria (filtro recente)';
+$lang['llgbo_header_category_flat'] = 'Exibir o cabeçalho na página Categoria (opção plano)';
+$lang['llgbo_header_category_posted_monthly'] = 'Exibir o cabeçalho na Categoria calendário opção de página';
+$lang['llgbo_header_comments'] = 'Exibir o cabeçalho na página Comentários';
+$lang['llgbo_header_created_monthly_calendar'] = 'Exibir o cabeçalho na página Comentários';
+$lang['llgbo_header_favorites'] = 'Exibir o cabeçalho na página Meus Favoritos';
+$lang['llgbo_header_home'] = 'Exibir o cabeçalho na página inicial';
+$lang['llgbo_header_identification'] = 'Exibir o cabeçalho da página de identificação';
+$lang['llgbo_header_list'] = 'Exibir o cabeçalho na página imagens aleatórias';
+$lang['llgbo_header_most_visited'] = 'Exibir o cabeçalho na página mais visitadas';
+$lang['llgbo_header_notification'] = 'Exibir o cabeçalho na página Notificação';
+$lang['llgbo_header_picture'] = 'Exibir o cabeçalho na página Imagem';
+$lang['llgbo_header_recent_cats'] = 'Exibir o cabeçalho na página categoria Recente';
+$lang['llgbo_header_recent_pics'] = 'Exibir o cabeçalho na página fotos Recentes';
+$lang['llgbo_header_register'] = 'Exibir o cabeçalho na página Registrar';
+$lang['llgbo_header_search'] = 'Exibir o cabeçalho na página Pesquisa';
+$lang['llgbo_header_tags'] = 'Exibir o cabeçalho nas páginas Etiquetas';
+$lang['llgbo_header_thePiwiShackControllerPage'] = 'Exibir o cabeçalho na página do plugin Controlador PiwiShack';
+$lang['llgbo_info'] = '(^_^) Configurações atualizadas';
+$lang['llgbo_maintain_header'] = 'Manter cabeçalho nas páginas seguintes:';
+$lang['llgbo_frame_bdcolor12'] = 'Cor da linha 13:';
+$lang['llgbo_frame_bdcolor13'] = 'Cor da linha 14:';
+$lang['llgbo_frame_bdcolor14'] = 'Cor da linha 15:';
+$lang['llgbo_frame_bdcolor15'] = 'Cor da linha 16:';
+$lang['llgbo_frame_bdcolor2'] = 'Cor da linha 3:';
+$lang['llgbo_frame_bdcolor3'] = 'Cor da linha 4:';
+$lang['llgbo_frame_bdcolor4'] = 'Cor da linha 5:';
+$lang['llgbo_frame_bdcolor5'] = 'Cor da linha 6:';
+$lang['llgbo_frame_bdcolor6'] = 'Cor da linha 7:';
+$lang['llgbo_frame_bdcolor7'] = 'Cor da linha 8:';
+$lang['llgbo_frame_bdcolor8'] = 'Cor da linha 9:';
+$lang['llgbo_frame_bdcolor9'] = 'Cor da linha 10:';
+$lang['llgbo_frame_bdsize'] = 'largura:';
+$lang['llgbo_frame_sample'] = 'Lista de exemplos';
+$lang['llgbo_hdShadowbox'] = 'Disposição HD Shadowbox e navegação na imagem. <br> HD Shadowbox deve ser ativado!';
+$lang['llgbo_header'] = 'Gerenciar exibição de cabeçalho';
+$lang['llgbo_header_about'] = 'Exibir o cabeçalho na página Sobre';
+$lang['llgbo_header_additional_page'] = 'Exibir o cabeçalho nas páginas adicionais';
+$lang['llgbo_header_best_rated'] = 'Exibir o cabeçalho na página Melhor avaliada';
+$lang['llgbo_header_category'] = 'Exibir o cabeçalho na página Categoria';
+$lang['Howto'] = 'Este plugin gerencia o layout da página de imagem.';
+$lang['Reset_To_Default'] = 'Redefinir para os valores padrão';
+$lang['Step1_Title'] = 'Configurações do plugin';
+$lang['Step2_Title'] = 'Dica de configurações';
+$lang['Step3_Title'] = 'Definições da moldura';
+$lang['Step4_Title'] = 'Exibir/ocultar o cabeçalho de cada página';
+$lang['Title'] = 'Parece GBo';
+$lang['llgbo_M_frame'] = 'Gestão de molduras';
+$lang['llgbo_M_header'] = 'Gerenciamento de exibição de cabeçalho';
+$lang['llgbo_M_manage'] = 'Configurações globais';
+$lang['llgbo_M_tooltip'] = 'Dica de gestão';
+$lang['llgbo_always_displayexif'] = 'Sempre exibir METADADOS:';
+$lang['llgbo_default_navthumb'] = 'Suprimir miniaturas Prev_Next exibição padrão:';
+$lang['llgbo_dispinshadowbox'] = 'Exibir em shadowbox -->';
+$lang['llgbo_exifunderbt'] = 'Dica especial para EXIF no mouseover:';
+$lang['llgbo_frame'] = 'Gerenciar moldura em torno da imagem:';
+$lang['llgbo_frame_bdcolor0'] = 'Cor da linha 1:';
+$lang['llgbo_frame_bdcolor1'] = 'Cor da linha 2:';
+$lang['llgbo_frame_bdcolor10'] = 'Cor da linha 11:';
+$lang['llgbo_frame_bdcolor11'] = 'Cor da linha 12:';
+?>