Index: /extensions/gvideo/admin/template/add.tpl
===================================================================
--- /extensions/gvideo/admin/template/add.tpl	(revision 20808)
+++ /extensions/gvideo/admin/template/add.tpl	(revision 20809)
@@ -13,4 +13,7 @@
   maxWidth: '300px',
   defaultPosition: 'right'
+});
+jQuery(".showProvidersInfo").click(function() {
+  $(".providersInfo").toggle();
 });
 {/literal}{/footer_script}
@@ -101,20 +104,28 @@
       <img class="icon" src="{$GVIDEO_PATH}admin/template/icons/youtube.png">
       <a href="http://www.youtube.com" target="_blank">YouTube</a>
+      <span class="providersInfo">{'Videos can be unlisted but not private.'|@translate}<br></span>
     </li>
     <li>
       <img class="icon" src="{$GVIDEO_PATH}admin/template/icons/vimeo.png">
       <a href="http://www.vimeo.com" target="_blank">Vimeo</a>
+      <span class="providersInfo">{'Videos can be unlisted and private if the gallery website is within the authorized domains (PRO).'|@translate}<br></span>
     </li>
     <li>
       <img class="icon" src="{$GVIDEO_PATH}admin/template/icons/dailymotion.png">
       <a href="http://www.dailymotion.com" target="_blank">Dailymotion</a>
+      <span class="providersInfo">{'Videos can be private if you use the private permalink.'|@translate}<br></span>
     </li>
     <li>
       <img class="icon" src="{$GVIDEO_PATH}admin/template/icons/wat.png">
       <a href="http://www.wat.tv" target="_blank">Wat</a>
+      <span class="providersInfo" style="font-style:italic;">{'No privacy option.'|@translate}<br></span>
     </li>
     <li>
       <img class="icon" src="{$GVIDEO_PATH}admin/template/icons/wideo.png">
       <a href="http://www.wideo.fr" target="_blank">Wideo</a>
+      <span class="providersInfo" style="font-style:italic;">{'No privacy option.'|@translate}<br></span>
+    </li>
+    <li>
+      <a class="showProvidersInfo">{'Show privacy details'|@translate}</a>
     </li>
   </ul>
Index: /extensions/gvideo/admin/template/style.css
===================================================================
--- /extensions/gvideo/admin/template/style.css	(revision 20808)
+++ /extensions/gvideo/admin/template/style.css	(revision 20809)
@@ -66,2 +66,10 @@
   font-weight:bold;
 }
+
+.providersInfo {
+  display:none;
+}
+.showProvidersInfo {
+  font-style:italic;
+  font-size:0.9em;
+}
Index: /extensions/gvideo/include/functions.inc.php
===================================================================
--- /extensions/gvideo/include/functions.inc.php	(revision 20808)
+++ /extensions/gvideo/include/functions.inc.php	(revision 20809)
@@ -43,12 +43,14 @@
       
       $video['url'] = 'http://youtube.com/watch?v='.$video['video_id'];
+      $video['title'] = 'YouTube #'.$video['video_id'];
       
       if (!$safe_mode)
       {
-        $fields = 'entry(id,author,media:group(media:title(text()),media:description(text()),media:thumbnail(@url),media:keywords))';
-        $api_url = 'http://gdata.youtube.com/feeds/api/videos/'.$video['video_id'].'?v=2&alt=json&fields='.$fields;
+        $api_url = 'http://gdata.youtube.com/feeds/api/videos/'.$video['video_id'].'?v=2&alt=json';
         $json = gvideo_download_remote_file($api_url, true);
         
         if ($json===false || $json=='file_error') return false;
+        if (strip_tags($json) == 'GDataInvalidRequestUriExceptionInvalid id') return false; // unknown video
+        if (strip_tags($json) == 'GDataServiceForbiddenExceptionPrivate video') return false; // private video
         
         $json = json_decode($json, true);
@@ -56,5 +58,5 @@
           'title' => $json['entry']['media$group']['media$title']['$t'],
           'description' => $json['entry']['media$group']['media$description']['$t'],
-          'thumbnail' => $json['entry']['media$group']['media$thumbnail'][0]['url'],
+          'thumbnail' => $json['entry']['media$group']['media$thumbnail'][2]['url'],
           'author' => $json['entry']['author'][0]['name']['$t'],
           ));
@@ -64,8 +66,4 @@
         }
       }
-      else
-      {
-        $video['title'] = 'YouTube #'.$video['video_id'];
-      }
       
       break;
@@ -81,4 +79,5 @@
       
       $video['url'] = 'http://vimeo.com/'.$video['video_id'];
+      $video['title'] = 'Vimeo #'.$video['video_id'];
       
       if (!$safe_mode)
@@ -116,8 +115,4 @@
         }
       }
-      else
-      {
-        $video['title'] = 'Vimeo #'.$video['video_id'];
-      }
       
       break;
@@ -134,4 +129,5 @@
       
       $video['url'] = 'http://dailymotion.com/video/'.$video['video_id'];
+      $video['title'] = $video['video_id'];
       
       if (!$safe_mode)
@@ -143,4 +139,5 @@
         
         $json = json_decode($json, true);
+        if (@$json['error']['type'] == 'access_forbidden') return false; // private video
         $json['thumbnail_large_url'] = preg_replace('#\?([0-9]+)$#', null, $json['thumbnail_large_url']);
         
@@ -153,8 +150,4 @@
           ));
       }
-      else
-      {
-        $video['title'] = $video['video_id'];
-      }
       
       break;
@@ -164,7 +157,8 @@
     case 'wat':
     {
+      if (!$safe_mode) return false; // no safe_mode for wat.tv, must connect to get the video id
+      
       $video['type'] = 'wat';
       
-      // no safe_mode for wat.tv
       $html = gvideo_download_remote_file($source_url, true);
       
@@ -202,4 +196,5 @@
       
       $video['url'] = 'http://wideo.fr/video/'.$video['video_id'].'.html';
+      $video['title'] = $video['video_id'];
       
       if (!$safe_mode)
@@ -223,8 +218,4 @@
         preg_match('#<meta name="keywords" content="([^">]+)" />#', $html, $matches);
         $video['tags'] = $matches[1];
-      }
-      else
-      {
-        $video['title'] = $video['video_id'];
       }
       
Index: /extensions/gvideo/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/en_UK/plugin.lang.php	(revision 20808)
+++ /extensions/gvideo/language/en_UK/plugin.lang.php	(revision 20809)
@@ -30,4 +30,10 @@
 $lang['In safe-mode, the plugin does\'t try to contact the video host, usefull on some websites where remote connections are blocked.'] = 'In safe-mode, the plugin does\'t try to contact the video host, usefull on some websites where remote connections are blocked.';
 $lang['Video properties'] = 'Video properties';
+$lang['Show privacy details' = 'Show privacy details';
+$lang['Videos can be unlisted but not private.' = 'Videos can be unlisted but not private.';
+$lang['Videos can be unlisted and private if the gallery website is within the authorized domains (PRO).' = 'Videos can be unlisted and private if the gallery website is within the authorized domains (PRO).';
+$lang['Videos can be private if you use the private permalink.' = 'Videos can be private if you use the private permalink.';
+$lang['No privacy option.' = 'No privacy option.';
+$lang[''] = '';
 
 ?>
Index: /extensions/gvideo/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/fr_FR/plugin.lang.php	(revision 20808)
+++ /extensions/gvideo/language/fr_FR/plugin.lang.php	(revision 20809)
@@ -30,4 +30,9 @@
 $lang['In safe-mode, the plugin does\'t try to contact the video host, usefull on some websites where remote connections are blocked.'] = 'En mode sans échec, le plugin n\'essaye pas de contacter l\'hébergeur de la vidéo, utile sur certains sites où les connexions externes sont bloquées.';
 $lang['Video properties'] = 'Propriétés vidéo';
+$lang['Show privacy details'] = 'A propos des vidéos privées';
+$lang['Videos can be unlisted but not private.'] = 'Les vidéos peuvent être hors listing mais pas privées.';
+$lang['Videos can be unlisted and private if the gallery website is within the authorized domains (PRO).'] = 'Les vidéos peuvent être hors-listing et privées si le domaine de la galerie fait partie des domaines autorisés (PRO).';
+$lang['Videos can be private if you use the private permalink.'] = 'Les videos peuvent être privées si vous utilisez le permalink privé.';
+$lang['No privacy option.'] = 'Pas d\'option de privacité.';
 
 ?>