Index: /extensions/meta/language/pt_BR/description.txt
===================================================================
--- /extensions/meta/language/pt_BR/description.txt	(revision 20813)
+++ /extensions/meta/language/pt_BR/description.txt	(revision 20813)
@@ -0,0 +1,1 @@
+Permite adicionar metadados
Index: /extensions/meta/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/meta/language/pt_BR/plugin.lang.php	(revision 20813)
+++ /extensions/meta/language/pt_BR/plugin.lang.php	(revision 20813)
@@ -0,0 +1,58 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['meta_name'] = 'Nome de metadados';
+$lang['meta_onglet_description'] = 'Metadados Descrição';
+$lang['meta_onglet_gestion'] = 'Metadados';
+$lang['meta_robots'] = 'Descrição meta robôs';
+$lang['meta_robots_help'] = 'tudo: permite o robô para referenciar toda a página (por padrão) <br>
+seguir: Permite o robô seguir os links da página <br>
+índice: Permite o robô indexar página <br>
+nãoseguir: Proibibe o robô seguir links <br>
+nãoindexar: Proibido o robô indexar página <br>
+nada: Impedir que o robô faça busca a indexação local <br>';
+$lang['meta_select'] = 'Selecione metadados para serem editados';
+$lang['meta_select2'] = 'Selecione metadados';
+$lang['Metadata - Plugin meta'] = 'Metadados - Meta Plugin';
+$lang['meta_Description'] = 'Descrição meta Descrição';
+$lang['meta_Description_help'] = 'Descrição de seu site de <br>
+Permite dar uma informação para enviar durante o resultado de uma pesquisa';
+$lang['meta_author'] = 'Autor descrição meta';
+$lang['meta_author_help'] = 'Informações sobre o autor <br>
+Informações sobre o autor do site';
+$lang['meta_choix'] = 'Editar metadados';
+$lang['meta_comp'] = 'Metadados a ser complementado';
+$lang['meta_compcat'] = 'Palavras-chave de álbum para ser conpletada';
+$lang['meta_compcatdes'] = 'Descrição álbum para substituir';
+$lang['meta_compcatdeshelp'] = 'Irá substituir toda a descrição';
+$lang['meta_compimg'] = 'Palavras-chave da foto a serem concluídas';
+$lang['meta_compimgdes'] = 'Descrição da foto para substituição';
+$lang['meta_description'] = 'descrição';
+$lang['meta_desh3'] = 'Adicionar meta a todas as páginas';
+$lang['meta_diff_val'] = 'Valor possível';
+$lang['meta_inscat'] = 'Insira Metadados';
+$lang['meta_insmeta'] = 'inserir os metadados';
+$lang['meta_keywords'] = 'Descrição Meta palavras-chave';
+$lang['meta_keywords_help'] = '"Palavra-chave, palavras-chave, etc" <br>
+Palavras-chave que descrevem a página da web. (Separados por vírgula)';
+$lang['meta_list'] = 'Metadados:';
+?>